Create object storage bucket
curl --request POST \
--url https://cloud.laravel.com/api/buckets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key_name": "<string>",
"allowed_origins": [
"<string>"
],
"cors_settings": {
"allowed_origins": [
"<string>"
],
"allowed_methods": [],
"allowed_headers": [
"<string>"
],
"expose_headers": [
"<string>"
],
"max_age_seconds": 2
}
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
}
]
}Object Storage Buckets
Create object storage bucket
Create a new object storage bucket with an initial key.
POST
/
buckets
Create object storage bucket
curl --request POST \
--url https://cloud.laravel.com/api/buckets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key_name": "<string>",
"allowed_origins": [
"<string>"
],
"cors_settings": {
"allowed_origins": [
"<string>"
],
"allowed_methods": [],
"allowed_headers": [
"<string>"
],
"expose_headers": [
"<string>"
],
"max_age_seconds": 2
}
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Body
application/json
Required string length:
3 - 40Pattern:
^[a-z0-9_-]+$Available options:
private, public Available options:
default, eu Required string length:
3 - 40Available options:
read_write, read_only This field is deprecated and will be removed May 17th, 2026. Please use cors_settings.allowed_origins instead.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

